训练运行
列出训练运行检查点
调用 GET /v1/training/jobs//checkpoints,按从新到旧的顺序列出训练运行的训练状态检查点和采样检查点。
GET
https://api.fastino.ai
/
v1
/
training
/
jobs
/
{job_id}
/
checkpoints
curl https://api.fastino.ai/v1/training/jobs/YOUR_JOB_ID/checkpoints \
-H "X-API-Key: $FASTINO_API_KEY"
{
"success": true,
"run_id": "YOUR_SESSION_ID:train:0",
"checkpoints": [
{
"checkpoint_id": "sampler_weights/step-100",
"checkpoint_type": "sampler",
"time": "2026-10-09T18:40:02Z",
"tinker_path": "tinker://YOUR_SESSION_ID:train:0/sampler_weights/step-100",
"size_bytes": 167772160,
"public": false,
"user_metadata": null,
"expires_at": null
},
{
"checkpoint_id": "weights/step-100",
"checkpoint_type": "training",
"time": "2026-10-09T18:40:00Z",
"tinker_path": "tinker://YOUR_SESSION_ID:train:0/weights/step-100",
"size_bytes": 503316480,
"public": false,
"user_metadata": null,
"expires_at": null
}
],
"count": 2
}
GET /v1/training/jobs/{job_id}/checkpoints
按从新到旧的顺序返回训练运行已保存的检查点。检查点由 SDK 的保存调用创建:训练状态检查点(weights/<name>)可用于恢复训练,采样检查点(sampler_weights/<name>)保存用于采样的适配器权重。
请求
string
必填
您的 Fastino API 密钥。
string
必填
训练运行 ID。
curl https://api.fastino.ai/v1/training/jobs/YOUR_JOB_ID/checkpoints \
-H "X-API-Key: $FASTINO_API_KEY"
响应
boolean
请求是否成功。
string
训练运行 ID。
object[]
已保存的检查点,按从新到旧排序。
显示 检查点
显示 检查点
string
训练状态检查点为
training,采样权重为 sampler。string
检查点保存时的 ISO 8601 时间戳。
string
检查点的
tinker:// 路径,SDK 使用该路径加载检查点。integer | null
检查点大小(字节),如已知。
boolean
检查点是否已发布。
object | null
附加到检查点的字符串键值元数据。
string | null
ISO 8601 过期时间;如果检查点会一直保留直到被删除,则为
null。integer
返回的检查点数量。
{
"success": true,
"run_id": "YOUR_SESSION_ID:train:0",
"checkpoints": [
{
"checkpoint_id": "sampler_weights/step-100",
"checkpoint_type": "sampler",
"time": "2026-10-09T18:40:02Z",
"tinker_path": "tinker://YOUR_SESSION_ID:train:0/sampler_weights/step-100",
"size_bytes": 167772160,
"public": false,
"user_metadata": null,
"expires_at": null
},
{
"checkpoint_id": "weights/step-100",
"checkpoint_type": "training",
"time": "2026-10-09T18:40:00Z",
"tinker_path": "tinker://YOUR_SESSION_ID:train:0/weights/step-100",
"size_bytes": 503316480,
"public": false,
"user_metadata": null,
"expires_at": null
}
],
"count": 2
}
404。此页面对您有帮助吗?
⌘I
curl https://api.fastino.ai/v1/training/jobs/YOUR_JOB_ID/checkpoints \
-H "X-API-Key: $FASTINO_API_KEY"
{
"success": true,
"run_id": "YOUR_SESSION_ID:train:0",
"checkpoints": [
{
"checkpoint_id": "sampler_weights/step-100",
"checkpoint_type": "sampler",
"time": "2026-10-09T18:40:02Z",
"tinker_path": "tinker://YOUR_SESSION_ID:train:0/sampler_weights/step-100",
"size_bytes": 167772160,
"public": false,
"user_metadata": null,
"expires_at": null
},
{
"checkpoint_id": "weights/step-100",
"checkpoint_type": "training",
"time": "2026-10-09T18:40:00Z",
"tinker_path": "tinker://YOUR_SESSION_ID:train:0/weights/step-100",
"size_bytes": 503316480,
"public": false,
"user_metadata": null,
"expires_at": null
}
],
"count": 2
}

